
local MODID = "_oipmod"

Hooks:PreHook(HUDNotificationConsumablePickup, "init", "init"..MODID, function(self, notification_data)
	self._chosen_mission = notification_data.chosen_mission
end)

Hooks:PostHook(HUDNotificationConsumablePickup, "_create_document_image", "_create_document_image"..MODID, function(self, notification_data)
	if self._chosen_mission then
		-- log("\t\t > good mish! "..tostring(self._chosen_mission))
		
		local mission_data = tweak_data.operations.missions[self._chosen_mission]
		
		local mission_icon = mission_data.icon_menu
		
		if mission_data and mission_icon then
			local gui_data = tweak_data.gui.icons[mission_icon]
			
			local chosen_mission_image_params = {
				name = "notification_outlaw_raid_mission_hint_icon",
				layer = 4,
				texture = gui_data.texture,
				texture_rect = gui_data.texture_rect,
				color = Color(0.72, 0.13, 0.13),
				alpha = 0.9
			}
			self._folder_mission_icon = self._object:bitmap(chosen_mission_image_params)
			self._folder_mission_icon:set_center_x(self._folder_image:center_x())
		end
	end
end)

Hooks:PreHook(HUDNotificationConsumablePickup, "_fit_size", "_fit_size"..MODID, function(self, notification_data)
	self._folder_mission_icon:set_y(220)
end)

